KiCAD crashes on MacOS Mojave Eeschama/libedit

Bug #1810906 reported by Franz Baureis on 2019-01-08
40
This bug affects 7 people
Affects Status Importance Assigned to Milestone
KiCad
Critical
Unassigned

Bug Description

After creating a new symbol in the "Transistor_BJT" or a newly created library and saving it any editing leads to a crash of the Symbol library editor and KiCAD.

To reproduce the bug:

1. Open the Symbol library editor either from KiCAD or Eeschema
2. Create a new library or use an existing one (e.g. "Transistor_BJT")
3. Create a new part (e.g. Named "DMMT3904W", Numbers of Units per Package does not matter)
4. Save the newly created part.
5. Editing this Part leads to an immediate crash

System Info:

MacBook Pro (13-inch, 2018, Four Thunderbolt 3 Ports)
OS: macOS Mojave Version 10.14.2
Processor: 2,3 GHz Intel Core i5
RAM: 16GB 2133MHz LPDDR3
Graphic Card: Intel Iris Plus Graphics 655 1536MB

Version Info:

Application: kicad
Version: (5.0.2-4-g3082e92af), release build
Libraries:
    wxWidgets 3.0.4
    libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1
Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac
Build Info:
    wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)
    Boost: 1.68.0
    OpenCASCADE Community Edition: 6.9.1
    Curl: 7.54.0
    Compiler: Clang 9.0.0 with C++ ABI 1002
Build settings:
    USE_WX_GRAPHICS_CONTEXT=ON
    USE_WX_OVERLAY=ON
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

Nick Østergaard (nickoe) wrote :

@Adam, what is this? dash four?

tags: added: macos
Changed in kicad:
importance: Undecided → Critical

Oh, sheesh. This is git saying that there are 4 commits past 5.0.2, which
are packaging patches applied.

Let's see if any of those make sense to merge into upstream, but I'm not
sure they do.

The new 5.0.2 packages built last night fine, I need to download them, see
if they work, and verify their version numbers differ from this, and then I
can get them pushed, and make a PR for the website.

On Tue, Jan 8, 2019, 3:40 AM Nick Østergaard <<email address hidden>
wrote:

> @Adam, what is this? dash four?
>
> ** Tags added: macos
>
> ** Changed in: kicad
> Importance: Undecided => Critical
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1810906
>
> Title:
> Bug: KiCAD crashes on editing new symbol in Symbol library editor
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kicad/+bug/1810906/+subscriptions
>

By the way, Franz, please use either 5.0.1 or the nightlies. I will be uploading a new 5.0.2 that will fix this issue. There are other 5.0.2 issues as well.

Franz Baureis (fb83) wrote :

Dear Adam,
thank you for your advice, but as I can wait for the update and it is only one symbol I need to draw I can wait for the next version. As I downloaded the 5.0.2 Version a few days ago I tried it with todays build and it did not work.

Thanks for the fast response,

Franz

Wait, are you saying you tried it with a nightly and it is broken there
too? Please confirm, thank you!

Adam

On Tue, Jan 8, 2019 at 11:11 AM Franz Baureis <email address hidden>
wrote:

> Dear Adam,
> thank you for your advice, but as I can wait for the update and it is only
> one symbol I need to draw I can wait for the next version. As I downloaded
> the 5.0.2 Version a few days ago I tried it with todays build and it did
> not work.
>
> Thanks for the fast response,
>
> Franz
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1810906
>
> Title:
> Bug: KiCAD crashes on editing new symbol in Symbol library editor
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kicad/+bug/1810906/+subscriptions
>

Dear Adam,

I did not try it wit a nightly build, so I can't say anything about it. It's just not a big deal for me to wait for a new 5.0.2 build.

Thank you for all the work,

Franz

Franz Baureis (fb83) wrote :

Dear Adam,

I tried to reproduce the Bug with todays nightly build.
Most of the problem seem to be solved, editing parts is now possible.
Last problem seem to be inserting drawings from other parts into the new part via shortcut (⌘V).

Version Info:

Application: kicad
Version: (6.0.0-rc1-dev-1550-g1c4b0337c-dirty), debug build
Libraries:
    wxWidgets 3.0.4
    libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1
Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac
Build Info:
    wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)
    Boost: 1.68.0
    OpenCASCADE Community Edition: 6.9.1
    Curl: 7.54.0
    Compiler: Clang 9.0.0 with C++ ABI 1002

Build settings:
    USE_WX_GRAPHICS_CONTEXT=ON
    USE_WX_OVERLAY=ON
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_PYTHON3=OFF
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

Hi Franz,

What is happening when you insert drawings from other parts into the new
part via shortcut (⌘V)?

On Fri, Jan 18, 2019 at 8:35 AM Franz Baureis <email address hidden>
wrote:

> Dear Adam,
>
> I tried to reproduce the Bug with todays nightly build.
> Most of the problem seem to be solved, editing parts is now possible.
> Last problem seem to be inserting drawings from other parts into the new
> part via shortcut (⌘V).
>
> Version Info:
>
> Application: kicad
> Version: (6.0.0-rc1-dev-1550-g1c4b0337c-dirty), debug build
> Libraries:
> wxWidgets 3.0.4
> libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1
> Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac
> Build Info:
> wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)
> Boost: 1.68.0
> OpenCASCADE Community Edition: 6.9.1
> Curl: 7.54.0
> Compiler: Clang 9.0.0 with C++ ABI 1002
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=ON
> USE_WX_OVERLAY=ON
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_PYTHON3=OFF
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1810906
>
> Title:
> Bug: KiCAD crashes on editing new symbol in Symbol library editor
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kicad/+bug/1810906/+subscriptions
>

I'm also (still) seeing crashes in the 5.0.2 symbol editor - when creating a new library, when creating a new symbol, when resizing a rectangle in an existing symbol...

The example below is attempting to create a new symbol.

Steps to re-create:
 - Tools/Edit Schematic Symbols
 - File/New Library
 - Change “Save As:” name to “A_Test_Lib.lib”
 - Select Symbol Library Table - select “Project”, click “OK”
 - Create new symbol - “Test Symbol”, click “OK”
   CRASH

OS X 10.14.2 (Mojave, Dark Mode enabled)

KiCad 5.0.2-26-g4b8cdcc92 (OSX/Testing/5.0/kicad-5.0-unified-20190122-025635-4b8cdcc92.dmg)

Crash report attached.

Adam Wolf (adamwolf) wrote :

OK, if this is happening on the 5.0 series nightly builds, and not just on 5.0.2, I do not think this is a new packaging issue. Has anyone tried these on the non-5.0 series nightlies, i.e. http://downloads.kicad-pcb.org/osx/nightly/kicad-unified-20190121-051856-3a1e66dba-10_14.dmg?

Does this happen with Dark mode turned off?

Seth Hillbrand (sethh) wrote :

Just tested with Dark mode enabled in 5.0.2 and cannot recreate using the procedure in #9

Application: kicad
Version: (5.0.2-26-ge34cfefb7), debug build
Libraries:
    wxWidgets 3.0.4
    libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1
Platform: Mac OS X (Darwin 18.0.0 x86_64), 64 bit, Little endian, wxMac
Build Info:
    wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)
    Boost: 1.68.0
    OpenCASCADE Community Edition: 6.9.1
    Curl: 7.51.0
    Compiler: Clang 8.0.0 with C++ ABI 1002

Build settings:
    USE_WX_GRAPHICS_CONTEXT=ON
    USE_WX_OVERLAY=ON
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

Steven Newnham (chuckles) wrote :

Unfortunately it's not completely repeatable, but it crashes frequently enough to make the Symbol Editor near unusable.

This time I created a new library, created a new symbol in that new library then attempted to place a rectangle within that new symbol. After placing the first corner and dragging to size the rectangle, clicking again to set the second corner resulted in the crash recorded in the attached file.

(Dark mode still enabled. I'll try some testing with dark mode disabled tomorrow).

Thank you so much for your help in figuring this out. I apologize, I had
assumed it was a packaging issue since there was some confusion on my part
when generating the 5.0.2 packages, but after some further analysis I think
there's actually a deeper issue here.

On Fri, Jan 25, 2019 at 7:00 AM Steven Newnham <email address hidden>
wrote:

> Unfortunately it's not completely repeatable, but it crashes frequently
> enough to make the Symbol Editor near unusable.
>
> This time I created a new library, created a new symbol in that new
> library then attempted to place a rectangle within that new symbol.
> After placing the first corner and dragging to size the rectangle,
> clicking again to set the second corner resulted in the crash recorded
> in the attached file.
>
> (Dark mode still enabled. I'll try some testing with dark mode disabled
> tomorrow).
>
>
> ** Attachment added: "KiCad 5.0.2-26 crash on create rectangle within new
> symbol.txt"
>
> https://bugs.launchpad.net/kicad/+bug/1810906/+attachment/5232474/+files/KiCad%205.0.2-26%20crash%20on%20create%20rectangle%20within%20new%20symbol.txt
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1810906
>
> Title:
> Bug: KiCAD crashes on editing new symbol in Symbol library editor
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kicad/+bug/1810906/+subscriptions
>

@Steven-

Can you post your full KiCad information from About KiCad->Copy Version Information?

I went through creating a new library with 10 symbols but cannot recreate this crash. I assume that you would have experienced a crash by then from your description.

Steven Newnham (chuckles) wrote :

Here's the version info as requested:

Application: kicad
Version: (5.0.2-26-g4b8cdcc92), debug build
Libraries:
    wxWidgets 3.0.4
    libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1
Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac
Build Info:
    wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)
    Boost: 1.68.0
    OpenCASCADE Community Edition: 6.9.1
    Curl: 7.51.0
    Compiler: Clang 8.0.0 with C++ ABI 1002

Build settings:
    USE_WX_GRAPHICS_CONTEXT=ON
    USE_WX_OVERLAY=ON
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

Steven Newnham (chuckles) wrote :

Re: "I went through creating a new library with 10 symbols but cannot recreate this crash. I assume that you would have experienced a crash by then from your description."

Yes, if you'd put minimal content in each symbol (e.g. a rectangle, a couple of pins, etc) then definitely - I doubt I'd get past 2 symbols.

Steven Newnham (chuckles) wrote :

Ok - this one seems to be 100% repeatable...

OS X 10.14.2 Mojave in Light Mode (not Dark Mode)

Edit the (only) symbol in the attached symbol library.
Start to move the PIC16F184xx label by right-clicking and selecting Move.
I can move the label around as expected, but then click to place it a new location and CRASH.

Will add crash report in follow up post (seems I can only add one attachment per post).

Steven Newnham (chuckles) wrote :

Crash report for #17, above.

Seth Hillbrand (sethh) wrote :

@Steven- That one is a genuine bug affecting all 5.0.2 platforms. But it is also one that is fixed in the nightly builds :) Could you test the nightly build from http://downloads.kicad-pcb.org/osx/nightly/ ?

Steven Newnham (chuckles) wrote :

@setth - I notice from your version info that you're testing on an earlier version of Mojave

    Platform: Mac OS X (Darwin 18.0.0 x86_64) = OS X 10.14

Whereas the reported crashes are all on later versions

    Platform: Mac OS X (Darwin 18.2.0 x86_64) = OS X 10.14.1 or later

Seth Hillbrand (sethh) wrote :

You are right. I just upgraded this morning to see if it made a difference. Nothing yet that I see (10.14.3 now) but I'll poke around some more.

Application: kicad
Version: (6.0.0-rc1-dev-1606-gbce8f0ff5), debug build
Libraries:
    wxWidgets 3.0.4
    libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1
Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac
Build Info:
    wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)
    Boost: 1.68.0
    OpenCASCADE Community Edition: 6.9.1
    Curl: 7.54.0
    Compiler: Clang 9.0.0 with C++ ABI 1002

Build settings:
    USE_WX_GRAPHICS_CONTEXT=ON
    USE_WX_OVERLAY=ON
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_PYTHON3=OFF
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

(I think Steven is testing on a recent "5.0 series" nightly, rather than on
5.0.2 itself.)

On Fri, Jan 25, 2019 at 11:00 PM Seth Hillbrand <
<email address hidden>> wrote:

> You are right. I just upgraded this morning to see if it made a
> difference. Nothing yet that I see (10.14.3 now) but I'll poke around
> some more.
>
> Application: kicad
> Version: (6.0.0-rc1-dev-1606-gbce8f0ff5), debug build
> Libraries:
> wxWidgets 3.0.4
> libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1
> Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac
> Build Info:
> wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)
> Boost: 1.68.0
> OpenCASCADE Community Edition: 6.9.1
> Curl: 7.54.0
> Compiler: Clang 9.0.0 with C++ ABI 1002
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=ON
> USE_WX_OVERLAY=ON
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_PYTHON3=OFF
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1810906
>
> Title:
> Bug: KiCAD crashes on editing new symbol in Symbol library editor
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kicad/+bug/1810906/+subscriptions
>

Previously I was testing the 5.0.2 test builds from:

   http://downloads.kicad-pcb.org/osx/testing/5.0/

However, pert @sethh's request, I've pulled down the 6.0 nightly and the difference is chalk-and-cheese. The 6.0 nightly hasn't crashed at all yet.

Application: kicad
Version: (6.0.0-rc1-dev-1607-ge0989acd4), debug build
Libraries:
    wxWidgets 3.0.4
    libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1
Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac
Build Info:
    wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)
    Boost: 1.68.0
    OpenCASCADE Community Edition: 6.9.1
    Curl: 7.54.0
    Compiler: Clang 9.0.0 with C++ ABI 1002

Build settings:
    USE_WX_GRAPHICS_CONTEXT=ON
    USE_WX_OVERLAY=ON
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_PYTHON3=OFF
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

Wayne Stambaugh (stambaughw) wrote :

Can we mark this as fixed or has someone else been able to reproduce this with nightly builds on macos?

Seth Hillbrand (sethh) wrote :

@Franz- Please let us know if you can still recreate an issue with the nightly build.

Changed in kicad:
status: New → Incomplete
Seth Hillbrand (sethh) on 2019-01-31
summary: - Bug: KiCAD crashes on editing new symbol in Symbol library editor
+ KiCAD crashes on MacOS Mojave Eeschama/libedit
nathan (nauhan) wrote :

I was seeing this crash on 5.0.2 and it is fixed for me with the nightly 5.1.0-rc1-9-g8f320697a on Mac OS 10.14.2

Thanks to the devs that fixed this!

Wayne Stambaugh (stambaughw) wrote :

Please change the status back to new if this reappears.

Changed in kicad:
status: Incomplete → Fix Committed
milestone: none → 5.1.0
Changed in kicad:
status: Fix Committed → Fix Released
Franz Baureis (fb83) wrote :

Hello,

after the 5.1 release I immediately tried to reproduce this bug and it did not appear. I think this bug can be closed.

Thank you all for your time and effort,

F.Baureis

Thanks for providing this great tool and support!

On Thu, Mar 14, 2019 at 3:31 PM Franz Baureis <email address hidden>
wrote:

> Hello,
>
> after the 5.1 release I immediately tried to reproduce this bug and it
> did not appear. I think this bug can be closed.
>
> Thank you all for your time and effort,
>
> F.Baureis
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1816309).
> https://bugs.launchpad.net/bugs/1810906
>
> Title:
> KiCAD crashes on MacOS Mojave Eeschama/libedit
>
> Status in KiCad:
> Fix Released
>
> Bug description:
> After creating a new symbol in the "Transistor_BJT" or a newly created
> library and saving it any editing leads to a crash of the Symbol
> library editor and KiCAD.
>
> To reproduce the bug:
>
> 1. Open the Symbol library editor either from KiCAD or Eeschema
> 2. Create a new library or use an existing one (e.g. "Transistor_BJT")
> 3. Create a new part (e.g. Named "DMMT3904W", Numbers of Units per
> Package does not matter)
> 4. Save the newly created part.
> 5. Editing this Part leads to an immediate crash
>
> System Info:
>
> MacBook Pro (13-inch, 2018, Four Thunderbolt 3 Ports)
> OS: macOS Mojave Version 10.14.2
> Processor: 2,3 GHz Intel Core i5
> RAM: 16GB 2133MHz LPDDR3
> Graphic Card: Intel Iris Plus Graphics 655 1536MB
>
>
> Version Info:
>
> Application: kicad
> Version: (5.0.2-4-g3082e92af), release build
> Libraries:
> wxWidgets 3.0.4
> libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1
> Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac
> Build Info:
> wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)
> Boost: 1.68.0
> OpenCASCADE Community Edition: 6.9.1
> Curl: 7.54.0
> Compiler: Clang 9.0.0 with C++ ABI 1002
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=ON
> USE_WX_OVERLAY=ON
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kicad/+bug/1810906/+subscriptions
>
--
Nikolaus Correll, CTO
roboticmaterials.com

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers